HandshakeRequest (WebSocket 1.1 API Documentation - Apache Tomcat 9.0.37)

javax.websocket.server

## Interface HandshakeRequest

-     public interface HandshakeRequest

  Represents the HTTP request that asked to be upgraded to WebSocket.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `SEC_WEBSOCKET_EXTENSIONS`
    `static java.lang.String` | `SEC_WEBSOCKET_KEY`
    `static java.lang.String` | `SEC_WEBSOCKET_PROTOCOL`
    `static java.lang.String` | `SEC_WEBSOCKET_VERSION`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.util.List<java.lang.String>>` | `getHeaders()`
    `java.lang.Object` | `getHttpSession()` Get the HTTP Session object associated with this request.
    `java.util.Map<java.lang.String,java.util.List<java.lang.String>>` | `getParameterMap()`
    `java.lang.String` | `getQueryString()`
    `java.net.URI` | `getRequestURI()`
    `java.security.Principal` | `getUserPrincipal()`
    `boolean` | `isUserInRole(java.lang.String role)`

- - ### Field Detail

    - #### SEC_WEBSOCKET_KEY

          static final java.lang.String SEC_WEBSOCKET_KEY

      See Also:
        Constant Field Values

    - #### SEC_WEBSOCKET_PROTOCOL

          static final java.lang.String SEC_WEBSOCKET_PROTOCOL

      See Also:
        Constant Field Values

    - #### SEC_WEBSOCKET_VERSION

          static final java.lang.String SEC_WEBSOCKET_VERSION

      See Also:
        Constant Field Values

    - #### SEC_WEBSOCKET_EXTENSIONS

          static final java.lang.String SEC_WEBSOCKET_EXTENSIONS

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getHeaders

          java.util.Map<java.lang.String,java.util.List<java.lang.String>> getHeaders()

    - #### getUserPrincipal

          java.security.Principal getUserPrincipal()

    - #### getRequestURI

          java.net.URI getRequestURI()

    - #### isUserInRole

          boolean isUserInRole(java.lang.String role)

    - #### getHttpSession

          java.lang.Object getHttpSession()

      Get the HTTP Session object associated with this request. Object is used to avoid a direct dependency on the Servlet API.
      Returns:
        The javax.servlet.http.HttpSession object associated with this request, if any.

    - #### getParameterMap

          java.util.Map<java.lang.String,java.util.List<java.lang.String>> getParameterMap()

    - #### getQueryString

          java.lang.String getQueryString()

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.